#include <assert.h>
#include "dimensions.h"


void copy_dimensions_from_to(const struct cats_dimension *from, struct cats_dimension *to)
{
        to->rows = from->rows;
        to->cols = from->cols;
}


bool valid_coordinates(const struct cats_dimension *dim, cats_dt_coord row, cats_dt_coord col)
{
        assert(dim != NULL);
        assert(row >= 0 && row < dim->rows);
        assert(col >= 0 && col < dim->cols);
        if (row < 0 || col < 0) return false;
        if (row >= dim->rows || col >= dim->cols) return false;
        return true;
}


bool dimensions_match(const struct cats_dimension *dim1, const struct cats_dimension *dim2)
{
        if (dim1->rows == dim2->rows && dim1->cols == dim2->cols) {
                return true;
        }
        return false;
}