#include <assert.h>
#include "direct_access.h"
#include "dimensions.h"


double load_input_2d_array_double(const struct cats_2d_array_double *raster, cats_dt_coord row, cats_dt_coord col)
{
        valid_coordinates(&raster->dimension, row, col);
        return raster->data[row][col];
}

char load_input_2d_array_char(const struct cats_2d_array_char *raster, cats_dt_coord row, cats_dt_coord col)
{
        valid_coordinates(&raster->dimension, row, col);
        return raster->data[row][col];
}

cats_dt_environment load_input_environment_raster(struct cats_environment_raster *raster, cats_dt_coord row, cats_dt_coord col)
{
        valid_coordinates(&raster->dimension, row, col);
        return raster->values[row][col];
}

void set_input_environment_raster(struct cats_environment_raster *raster, cats_dt_coord row, cats_dt_coord col, cats_dt_environment value)
{
        valid_coordinates(&raster->dimension, row, col);
        raster->values[row][col] = value;
}